Subject: Re: [PATCH v5 00/27] multi-pack reachability bitmaps

From: Junio C Hamano <[email-masked]>
Date: Wed, 01 Sep 2021 13:49:47 -0700

Taylor Blau <[email-masked]> writes:

> Sure, I don't mind getting more strict here in this series. If you want,
> the below could be queued instead of the original 11/27:

That may make the documentation and the code more consistent.

> As far as I can tell, supporting arbitrary directories with
> `--object-dir` was a historical accident, since even the documentation
> says `<alt>` when referring to the value passed to this option.

The synopsis has [--object-dir=<dir>], which wants to be cleaned up
for consistency (or <alt> updated to <dir>, but I tend to agree with
you that unifying to <alt> may make our intention more clear).

It is unfortunate that "git multi-pack-index -h" says <file>, which
is probably doubly wrong.  It seems this is the only instance that
abuses OPT_FILENAME() for a non-file, so perhaps it is not too bad
to fix it using the lower-level OPTION_FILENAME (instead of adding
a one-off OPT_DIRECTORY_NAME() helper).

Neither is something that would block this step, of course.